From 15eb3e9ed3880867d37d82e0fd142417238f2760 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Tue, 14 Apr 2020 19:56:37 +0800
Subject: [PATCH 44/77] hotplug_serial: fix inconsistency filename between
 create and attach

The create file name "xml_file", but attach xml source file name "file".

eg:
create file name '/var/tmp/avocado_gl1wsitg/hotplug_serial/xml_file'
attach file name '/var/tmp/avocado_gl1wsitg/hotplug_serial/file'

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 libvirt/tests/src/hotplug_serial.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/libvirt/tests/src/hotplug_serial.py b/libvirt/tests/src/hotplug_serial.py
index f69b8242..b8993e41 100644
--- a/libvirt/tests/src/hotplug_serial.py
+++ b/libvirt/tests/src/hotplug_serial.py
@@ -102,7 +102,7 @@ def run(test, params, env):
                 test.error('Failed to add device %s to %s. Result:\n %s'
                            % (char_dev, vm_name, result))
         elif type == "attach":
-            xml_file = os.path.join(tmp_dir, "xml_%s" % char_dev)
+            xml_file = os.path.join(tmp_dir, char_dev)
             if char_dev in ["file", "socket"]:
                 prepare_channel_xml(xml_file, char_dev)
             elif char_dev == "pty":
-- 
2.23.0

